body {
    background-color: #03435E;
    color: #FFF;
    font-family: Arial, sans-serif;
}

#bigtitle {
    width: 100%;
}

#bigtitleimg {
    height: 96px;
    margin: 1em;
    background-image: url('../images/bigtitle.svg');
    background-repeat: no-repeat;
    background-size: auto;

    @media only screen and (max-width: 420px) {
        height: 38px;

        /* Adjust based on how you want the div to appear on mobile */
        width: 90%;
    }
}

#bigtitle img {
    float: left;
}





.bigHeaderRow {
    display: flex;
    flex-wrap: nowrap;
    height: 100%;
}

#whenandwhere {
    background-color: black;
    padding: 10px;
    color: #CDD100;
    border-width: 0px;
    border-radius: 10px; /* Keep rounded corners */
    background: linear-gradient(90deg, #012535, #001b27);
    box-shadow: 3px 4px 6px #20272f;
    flex-grow: 1;
    padding: 20px;
}

#socialblock {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    background: linear-gradient(90deg, #012535, #001b27); /* Same as whenandwhere */
    box-shadow: 3px 4px 6px #20272f;
    border-radius: 10px; /* Keep rounded corners */
    padding: 20px;
    height: auto;
    align-items: flex-start;
    margin-left: 20px; /* Keep margin only for desktop */
    flex-shrink: 0;
    /*min-width: 300px; !* Adjusted min-width *!*/
}

.socialButton {
    display: flex;
    border-radius: 10px;
    margin-bottom: 20px; /* Increased space between buttons */
    width: 100%;
    overflow: hidden; /* Ensure rounded edges */
    box-sizing: border-box;
    height: 60px; /* Fixed height */
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.3); /* Add shadow to buttons */
    cursor: pointer; /* Show click-cursor */
}

.socialButton:hover .iconPart{
    background-color: #d5d5d5; /* Brighter on hover */
    transition: background-color 0.3s ease; /* Smooth transition */
}

.socialButton:hover .textPart {
    background-color: #938e62; /* Brighter on hover */
    transition: background-color 0.3s ease; /* Smooth transition */
}


.iconPart {
    background-color: white; /* Inverted color */
    display: flex;
    justify-content: center;
    align-items: center;
    color: #504E1B; /* Icon color */
    width: 60px; /* Fixed width for icon part */
    transition: background-color 0.3s ease; /* Smooth hover transition */
}

.iconPart i {
    font-size: 30px; /* Larger icon */
}

.textPart {
    background-color: #504E1B; /* Button background color */
    display: flex;
    align-items: center;
    color: white; /* Text color */
    flex-grow: 1;
    padding: 0 15px; /* Reduced padding */
    transition: background-color 0.3s ease; /* Smooth hover transition */
}

.textPart p {
    font-size: 22px; /* Larger text */
    margin: 0; /* Remove default margin */
    text-align: left; /* Left align text */
    padding-left: 10px; /* Add some padding to align text */
}

@media (max-width: 768px) {
    .bigHeaderRow {
        flex-direction: column;
        padding: 0; /* Remove any extra padding */
    }

    #whenandwhere, #socialblock {
        width: auto; /* No full width, natural sizing */
        margin-left: 0; /* Remove left margin */
        margin-right: 0; /* No right margin */
        border-radius: 10px; /* Keep rounded corners on mobile */
    }

    #socialblock {
        margin-top: 20px; /* Space between whenandwhere and socialblock */
    }

    .textPart p{
        font-size: 18px; /* Larger text */
    }
}








#whenandwhere p:nth-child(1) {
    margin-top: 10px;
    padding-top: 0em;
    font-size: 2.8em;
    padding-left: 0.3em;
    font-weight: bold;
}

#whenandwhere p:nth-child(2) {
    font-size: 1.6em;
    padding-top: 0em;
    padding-left: 0.6em;
    font-weight: bold;
}

#whenandwhere p:nth-child(3),
#whenandwhere p:nth-child(4) {
    font-size: 1em;
    padding-left: 1.1em;
    padding-top: 0em;
}

#whenandwherenotes {
    color: #CDD100;
    font-size: 0.7em;
    padding-top: 1em;
    padding-left: 2em;
}


#specials {
    display: none; /* Hide the element initially */

    margin-top: 20px;
    background-color: black;
    padding: 10px;
    color: #d3d3d3;
    border-width: 0px;
    border-radius: 10px;
    background: linear-gradient(90deg, #131f31, #161a40);
    box-shadow: 3px 4px 6px #20272f;
    text-align: center;

    background-image: url('../images/bgimage02.jpg'); /* Set your background image */
    /*background-size: cover; */
    /*background-repeat: no-repeat;*/
    /*background-attachment: fixed; !* Keep the background fixed relative to the viewport *!*/
}

.specials-item{
    margin-left: 10px;
    margin-right: 10px;
    margin-bottom: 10px;

    padding: 20px;
    border-width: 0px;
    border-radius: 10px;
    box-shadow: 3px 4px 6px #20272f;
    color: #d5c393;
    font-size: 1.6em;
    text-align: center;
    letter-spacing: 2px;
}

#specials p{
    font-size: 1.6em;
    padding-top: 0em;
    padding-left: 0.6em;
    font-weight: bold;
}
#specialMesser{
    display: none; /* Hide the element initially */
    background: linear-gradient(90deg, #380101, #7c4013);
}
#specialFahrrad{
    display: none; /* Hide the element initially */
    background: linear-gradient(90deg, #243801, #60a952);
}
#specialNaehservice{
    display: none; /* Hide the element initially */
    background: linear-gradient(90deg, #220138, #70578f);
}


#repairmeblock {
    padding: 2em;
    text-align: center;
    text-shadow: 6px 8px 13px #2b2828;
}

#repairme {
    font-weight: bold;
    padding: 0.7em;
    font-size: 1.8em;
}

#repairmemore {
    padding: 0.7em;
    font-size: 1.4em;
}

#infoblock {

    background-color: #524d18;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
    align-content: flex-start;
    display: flex;

    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

#infoblock > div {
    padding: 1em;
    flex-basis: 300px;
}

#infoblock > div > h1, #infoblock > div > div > h1 {
    font-size: 1em;
    color: rgb(244, 223, 171);
}

#whatisarepaircafe{
    flex-grow: 2;
}

#linksandfoundation {
    flex-grow: 1;
    flex-basis: 200px;
}

#linksandfoundation > div:nth-child(2) h1{
    padding-top: 1em;
}

#faq {
    flex-grow: 2;
}

#foundation p {
    font-size: 1em;
    color: rgb(196, 196, 196);
    text-align: justify;
}

.iframe-container {
    position: relative;
    padding-bottom: 56.25%;

    /* Aspect ratio for 16:9 */
    padding-top: 25px;

    /* Some padding at the top for better design */
    height: 0;
    overflow: hidden;
}

.iframe-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* Links */
/*#links {*/
/*    flex-basis: 200px;*/
/*    flex-grow: 1;*/
/*}*/

#links > ul {
    padding-left: 1.3em;
}

#links > ul > li {
    margin-left: 0;
    margin-bottom: 1em;
}

#links a {
    /* I need color #fff for urls and #CDD100 when mouseover, underline when mouseover but only then */
    color: #fff;
    text-decoration: none;
}

#links a:hover {
    text-decoration: underline;
}

/* FAQ */
.faq-section {
    width: 80%;
    margin: 20px auto;
}

.faq-question {
    background: #333;

    /* Background color of the question block, can be adjusted */
    padding: 15px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    margin-top: 2px;
}

.faq-question p {
    color: #FFF;
    margin: 0;
}

.faq-question.active p {
    color: #CDD100;
}

.faq-answer {
    display: none;
    background: #555;

    /* Background color of the answer block, can be adjusted */
    padding: 15px;
    border-top: 1px solid #666;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
}

/* footer */
footer {
    background-color: black;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    flex-wrap: wrap;
    align-content: flex-start;
    display: flex;
    padding-left: 1em;
    padding-right: 1em;
    padding-top: 1em;
    padding-bottom: 2em;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

footer #footerblocklogo {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2em;
    flex-basis: 200px;

    @media only screen and (max-width: 420px) {
        flex-basis: 300px;
    }
}

footer #footerblocknachbarschaftshilfe {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2em;
    flex-basis: 200px;

    @media only screen and (max-width: 420px) {
        flex-basis: 300px;
    }
}

footer #footerblockfoerd {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2em;
    flex-basis: 200px;

    @media only screen and (max-width: 320px) {
        flex-basis: 280px;
    }

    @media only screen and (min-width: 321px) and (max-width: 420px) {
        flex-basis: 300px;
    }

    img {
        width: 100%;
        max-width: 280px;
        height: auto;
    }
}


#footerblockimprint, #footerblockcontact > a {
    color: #FFF;
    text-decoration: none;
}

#footerblockimprint,
#footerblockwebsite,
#footerblockcontact,
#footerblockinternal
{
    padding-left: 2em;
    padding-right: 1em;
}
#footerblockinternal a{
    color: #e8e1b1;
}


#footerblockimprint > a:hover {
    text-decoration: underline;
}